name='portproton'
version='1.0'
release='1'
desc='PortProton is a project designed to make it easy and convenient to run Windows games on Linux for both beginners and advanced users.'
homepage='https://linux-gaming.ru/'
architectures='amd64'
licenses='MIT'
provides='portproton'
conflicts='portproton'
deps_amd64_redos=('sysvinit-tools' 'curl' 'libcurl4' 'icoutils' 'wget' 'zenity' 'bubblewrap' 'zstd' 'cabextract' 'tar' 'libvulkan1' 'lib64vulkan1'\
'vulkan.x86_64' 'vulkan.i686' 'vkd3d.x86_64' 'vkd3d.i686' 'coreutils' 'file' 'libc6' 'libnss3' 'xz' 'bubblewrap' 'xdg-utils' 'openssl' 'bc' 'libgl1'\
'lib64freetype2' 'libfreetype2' 'lib64txc-dxtn' 'libtxc-dxtn' 'coreutils' 'lib64opencl1' 'libopencl1' 'libdrm2' 'libdrm2.i686' 'mesa.i686')
#build_deps=('')
sources=("git+https://github.com/Castro-Fidel/PortWINE.git")
checksums=('SKIP')

prepare() {
cd "${srcdir}/PortWINE/"
echo "[Desktop Entry]" >>portproton.desktop
echo "Name=PortProton" >>portproton.desktop
echo "Exec=env /home/e.khramov@odk.local/PortProton/data/scripts/start.sh %F" >>portproton.desktop
echo "Type=Application" >>portproton.desktop
echo "Terminal=False" >>portproton.desktop
echo "Categories=Game" >>portproton.desktop
echo "StartupNotify=true" >>portproton.desktop
echo "MimeType=application/x-ms-dos-executable;application/x-wine-extension-msp;application/x-msi;application/x-msdos-program" >>portproton.desktop
echo "Path=$HOME/PortProton/data/scripts/" >>portproton.desktop
echo "Icon=$HOME/PortProton/data/img/w.png" >>portproton.desktop
}

package() {
install -Dm755 "${srcdir}/PortWINE/data_from_portwine" "${pkgdir}/${HOME}/.local/share/portproton"
}
